package com.logicbig.example;

import javax.servlet.annotation.WebListener;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionAttributeListener;
import javax.servlet.http.HttpSessionBindingEvent;

@WebListener
public class MySessionAttributeListener implements HttpSessionAttributeListener {

    @Override
    public void attributeAdded(HttpSessionBindingEvent event) {
        print("attributeAdded", event);
    }

    @Override
    public void attributeRemoved(HttpSessionBindingEvent event) {
        print("attributeRemoved", event);
    }

    @Override
    public void attributeReplaced(HttpSessionBindingEvent event) {
        print("attributeReplaced: ", event);
    }

    private void print(String msg, HttpSessionBindingEvent event) {
        HttpSession session = event.getSession();
        Object currentValue = null;
        try {
            currentValue = session.getAttribute(event.getName());
        } catch (IllegalStateException e) {
        }
        System.out.printf("%s: name=%s, value=%s, currentValue=%s%n",
                msg, event.getName(), event.getValue(),
                currentValue);

    }
}